Skip to content

Retrieve a variable

Returns a single environment variable by id. Secret values are masked.

GET
/v1/environment-variables/{variableId}

Authorization

Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

In: header

Path Parameters

variableIdRequiredstring

Header Parameters

idempotency-keystring

A header for idempotency purposes

Response Body

OK

_idRequiredstring
_organizationIdRequiredstring
keyRequiredstring
typeRequiredstring
Value in: "string"
isSecretRequiredboolean
valuesRequiredarray<object>
createdAtRequiredstring
updatedAtRequiredstring
export interface Response {
  _id: string;
  _organizationId: string;
  key: string;
  type: "string";
  isSecret: boolean;
  values: EnvironmentVariableValueResponseDto[];
  createdAt: string;
  updatedAt: string;
}
export interface EnvironmentVariableValueResponseDto {
  _environmentId: string;
  /**
   * Value is masked (••••••••) for secret variables
   */
  value: string;
}
 
curl -X GET "https://api.novu.co/v1/environment-variables/string" \
  -H "idempotency-key: string" \
  -H "Authorization: <token>"
{
  "_id": "string",
  "_organizationId": "string",
  "key": "string",
  "type": "string",
  "isSecret": true,
  "values": [
    {
      "_environmentId": "string",
      "value": "string"
    }
  ],
  "createdAt": "string",
  "updatedAt": "string"
}

On this page

No Headings
Edit this page on GitHub